tigase.server.sreceiver

## Class PubSubTestsTask

- java.lang.Object
- - tigase.server.sreceiver.AbstractReceiverTask
  - - tigase.server.sreceiver.RepoRosterTask
    - - tigase.server.sreceiver.PubSubTestsTask

- All Implemented Interfaces:
    ReceiverTaskIfc

      public class PubSubTestsTask
      extends RepoRosterTask

  Created: Jan 22, 2009 11:02:59 AM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PubSubTestsTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `addOutPacket(Packet packet)` Method description
    `Map<String,PropertyItem>` | `getDefaultParams()` Method description
    `String` | `getHelp()` Method description
    `String` | `getType()` Method description
    `protected void` | `processMessage(Packet packet, Queue<Packet> results)` Method description

    - ### Methods inherited from class tigase.server.sreceiver.RepoRosterTask

      `addToRoster, destroy, loadRoster, removeFromRoster, setParams, setRosterItemAdmin, setRosterItemModerationAccepted, setRosterItemOwner, setRosterItemSubscribed`

    - ### Methods inherited from class tigase.server.sreceiver.AbstractReceiverTask

      `addNewSubscribers, addToRoster, getDescription, getInstance, getJID, getParams, getRoster, getRosterItem, getStatistics, getStats, init, isAdmin, isAllowedToPost, isAllowedToSubscribe, processPacket, removeSubscribers, setJID, setRosterItemOnline, setStanzaReceiver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PubSubTestsTask

          public PubSubTestsTask()

  - ### Method Detail

    - #### getDefaultParams

          public Map<String,PropertyItem> getDefaultParams()

      Method description
      Specified by:
        `getDefaultParams` in interface `ReceiverTaskIfc`
      Overrides:
        `getDefaultParams` in class `AbstractReceiverTask`
      Returns:
        a `Map` value with task instance configuration parameters.
      See Also:
        `ReceiverTaskIfc.setParams(Map)`

    - #### getHelp

          public String getHelp()

      Method description
      Returns:
        a `String` value of task class help information.

    - #### getType

          public String getType()

      Method description
      Returns:
        a `String` value of the task name.

    - #### addOutPacket

          protected boolean addOutPacket(Packet packet)

      Method description
      Overrides:
        `addOutPacket` in class `AbstractReceiverTask`
      Parameters:
        `packet` -

    - #### processMessage

          protected void processMessage(Packet packet,
                            Queue<Packet> results)

      Method description
      Overrides:
        `processMessage` in class `AbstractReceiverTask`
      Parameters:
        `packet` -
        `results` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.